/*
 * @Description: 
 * @Author: 狼牙
 * @Email: huangxiaoming@winhc.cn
 * @Date: 2022-04-20 13:47:01
 * @LastEditTime: 2022-04-20 14:03:38
 * @LastEditors: 狼牙
 */
type RouteInter = {
    name:string,
    code:string,
    route:string
} 
const EnterpriseEnum:RouteInter[]= [
    {name:'注册资本',code:'registered_capital',route:'ZhuCeZiBen'},
    {name:'实缴资本',code:'paid_capital',route:'ShiJiaoZiBen'},
    {name:'未缴资本',code:'unpaid_capital',route:'WeiJiaoZiBen'},
    {name:'增资记录',code:'increase_record',route:'ZengZiJiLu'},
    {name:'银行账户',code:'bank_account',route:'YingHangZhangHu'},
    {name:'股权出质质权人',code:'pledgee_equity',route:'GuQuanChuZhiZhiQuanRen'},
    {name:'股权出质',code:'pledge_equity',route:'GuQuanChuZhi'},
    {name:'参股企业',code:'equity_participation',route:'CanGuQiYe'},
    {name:'控股企业',code:'holding_shares',route:'KongGuQiYe'},

    {name:'分支机构',code:'eci_branch',route:'FenZhiJiGou'},
    {name:'动产抵押',code:'mortgage',route:'DongChanDiYa'},
    {name:'土地抵押',code:'land_mortgage',route:'TuDiDiYa'},
    {name:'土地抵押抵押权人',code:'land_mortgagee',route:'JYTuDiDiYaDiYaQuanRen'},
    {name:'土地抵押抵押人',code:'land_mortgagor',route:'JYTuDiDiYaDiYaRen'},
    {name:'土地公示',code:'land_public',route:'TuDiGongShi'},
    {name:'购地信息',code:'land_purchase',route:'GouDiXinXi'},
    {name:'土地转让',code:'land_transfer',route:'TuDiZhuanRang'},
    {name:'直接债权',code:'direct_debt',route:'ZhiJieZaiQuan'},
    {name:'间接债权',code:'indirect_debt',route:'JianJieZaiQuan'},
    {name:'招投标',code:'eci_bidding',route:'ZhaoTouBiao'},
    {name:'特殊资质',code:'special_qualification',route:'TeShuZiZhi'},
    {name:'进出口信用证',code:'import_export_credit',route:'JinChuKouXinYongZheng'},
    {name:'行政许可',code:'permission_eci',route:'XingZhenXuKe'},
    {name:'商标',code:'trade_mark',route:'ShangBiao'},
    {name:'专利',code:'eci_patent',route:'ZhuanLi'},
    {name:'软件著作权',code:'soft_copy_right',route:'RuanJianZhuZuoQuan'},
    {name:'作品著作权',code:'copy_right',route:'ZuoPinZhuZuoQuan'},
    {name:'网站域名',code:'web_site',route:'ZhuCeWangZhan'},
    {name:'融资信息',code:'company_financing',route:'RongZhiXinXi'},
    {name:'债券信息',code:'bond_info',route:'ZhaiQuanXinXi'},
    {name:'注册地址',code:'registered_address',route:'ZhuCeDiZhi'},
    {name:'个体工商户',code:'individual_business',route:'GeTiGongShangHu'},
    {name:'一人有限责任公司',code:'liability_company',route:'YiRenYouXianZeRenGongSi'},
    {name:'个人独资企业',code:'sole_company',route:'GeRenDuZiQiYe'},
    {name:'产品信息',code:'product_info',route:'ChanPinXinXi'},
    {name:'主要客户',code:'eci_customers',route:'ZhuYaoKeHu'},
    {name:'信用评级',code:'credit_rating',route:'XinYongPingJi'},
    {name:'税务信用',code:'tax_credit',route:'ShuiWuXinYong'},
    {name:'供应商',code:'eci_supply',route:'GongYingShang'},
    {name:'工商信息',code:'eci_info',route:'GongShangXinXi'},
    {name:'股东信息',code:'shareholder_info',route:'GuDongXinXi'},
    {name:'法定代表人',code:'legal_representative',route:''},
    {name:'最终受益人',code:'final_beneficiary',route:'ZuiZhongShouYiRen'},
    {name:'主要人员',code:'eci_employees',route:'ZhuYaoRenYuan'},
    {name:'对外投资',code:'eci_invest',route:'DuiWaiTouZi'},
    {name:'历史变更',code:'eci_changes',route:'LiShiBianGeng'},
    {name:'招聘信息',code:'eci_recruitment',route:'ZhaoPinXinxi'},
    {name:'企业年报',code:'annual_report',route:'QiYeNianBao'},
    {name:'抽查检查',code:'check_info',route:'ChouChaJianCha'},
    {name:'新闻舆情',code:'news_neutral',route:'XinWenYuQing'},
    {name:'简易注销',code:'simple_cancel',route:'JianYiZhuXiao'},
    {name:'严重违法',code:'illegal_info',route:'YanZhongWeiFaXingWei'},
    {name:'减资记录',code:'reduce_record',route:'JianZiJiLu'},
    {name:'土地转让出让人',code:'land_transfer_old',route:'TuDiZhuanRang'},
    {name:'土地转让受让人',code:'land_transfer_new',route:'TuDiZhuanRangShouRangRen'},
    {name:'经营异常',code:'exception',route:'JingYingYiChang'},
    {name:'行政处罚',code:'penalties',route:'XingZhengChuFa'},
    {name:'行政处罚_信用中国',code:'penalties_creditchina',route:'XingZhengChuFa'},
    {name:'环保处罚',code:'environmental_penalty',route:'HuanBaoChuFa'},
    {name:'税收违法',code:'tax_violation',route:'ShuiShouWeiFa'},
    {name:'欠税公告',code:'own_tax',route:'QianShuiGongGao'},
    {name:'公示催告',code:'public_announcement',route:'GongShiCuiGao'},
    {name:'新闻舆情消极',code:'news_negative',route:'XinWenYuQingXiaoJi'},
    {name:'立案信息',code:'case_filing',route:'LiAnXinXi'},
    {name:'开庭公告',code:'open_announcement',route:'KaiTingGongGao'},
    {name:'法院公告',code:'court_announcement',route:'FaYuanGongGao'},
    {name:'司法案件',code:'judgement_doc',route:''},//原生自跳转
    {name:'股权冻结',code:'equity_freeze',route:'GuQuanDongJie'},
    {name:'被执行人',code:'executed_person',route:'BeiZhiXingRen'},
    {name:'失信情况',code:'dishonesty',route:'ShiXinQingKuang'},
    {name:'历史失信',code:'history_dishonesty',route:'LiShiShiXinQingKuang'},
    {name:'破产重整',code:'bankruptcy',route:'PoChanChongZheng'},
    {name:'解散清算',code:'eci_liquidation',route:'QingSuanXinXi'},
    {name:'司法拍卖',code:'judicial_auction',route:'SiFaPaiMai'},
    {name:'询价评估结果',code:'evaluation_result',route:'XunJiaPingGu'},
    {name:'询价评估',code:'evaluation',route:'XunJiaPingGu'},
    {name:'行政许可信用中国',code:'permission_china',route:'XingZhenXuKe'},
    {name:'历史工商信息',code:'history_eci',route:'lsGongShangXinXi'},
    {name:'历史股东',code:'history_sh',route:'lsGuDong'},
    {name:'历史法定代表人',code:'history_op',route:'lsFaDingDaiBiaoRen'},
    {name:'历史高管',code:'history_emp',route:'lsGaoGuan'},
    {name:'历史对外投资',code:'history_invest',route:'LiShiDuiWaiTouZi'},
    {name:'历史被执行人',code:'history_bz',route:'LiShiBeiZhiXingRen'},
    {name:'历史法院公告',code:'history_cta',route:'LiShiFaYuanGongGao'},
    {name:'历史动产抵押',code:'history_mle',route:'LiShiDongChanDiYa'},
    {name:'历史股权出质',code:'history_ple',route:'LiShiGuQuanChuZhi'},
    {name:'历史行政处罚',code:'history_adp',route:'LiShiXingZhengChuFa'},
    {name:'历史行政许可',code:'history_adl',route:'LiShiXingZhengXuKe'},
    {name:'实际控制人',code:'suspected_actual_control',route:'ShiJiKongZhiRen'},
    {name:'限制高消费',code:'limit_high_consumption',route:'JYXianZhiGaoXiaoFei'},
    {name:'裁判文书',code:'wenshu',route:'CaiPanWenShu'},
    {name:'终本案件',code:'final_case',route:'ZhongBenAnJian'},
    {name:'送达公告',code:'send_announcement',route:'SongDaGongGao'},
    {name:'财产线索',code:'finance_dynamic',route:''},//原生自跳转
    {name:'限制出境',code:'outbound_restrictions',route:'XianZhiChuJing'},
    {name:'双随机抽查',code:'double_random',route:'ShuangSuiJiChouCha'},

]
const DimensionEnum:RouteInter[] = [
    {name:'法定代表人',code:'legal_representative',route:'DanRenFaRenGeRen'},
    {name:'对外投资',code:'investment',route:'DuiwaiTouZiGeRen'},
    {name:'在外任职',code:'work_outside',route:'ZaiWaiRenZhiGeRen'},
    {name:'合作伙伴',code:'partner',route:'HeZuoHuoBan'},
    {name:'数据分析',code:'data_analysis',route:'ShuJuFenXi'},
    {name:'人物百科',code:'people_encyclopedia',route:'RenWuBaiKe'},
    {name:'被执行人',code:'executed_person',route:'BeiZhiXingRen'},
    {name:'失信信息',code:'dishonesty',route:'ShiXinQingKuang'},
    {name:'限制高消费',code:'limit_high_consumption',route:'JYXianZhiGaoXiaoFei'},
    {name:'限制出境',code:'outbound_restrictions',route:'XianZhiChuJing'},
    {name:'终本案件',code:'final_case',route:'ZhongBenAnJian'},
    {name:'股权出质',code:'pledge_equity',route:'GuQuanChuZhi'},
    {name:'股权出质_质权人',code:'pledgee_equity',route:'GuQuanChuZhiZhiQuanRen'},
    {name:'股权质押',code:'equity_pledge',route:''},
    {name:'股权冻结',code:'equity_freeze',route:'GuQuanDongJie'},
    {name:'开庭公告',code:'open_announcement',route:'KaiTingGongGao'},
    {name:'法院公告',code:'court_announcement',route:'FaYuanGongGao'},
    {name:'立案信息',code:'case_filing',route:'LiAnXinXi'},
    {name:'裁判文书',code:'wenshu',route:'CaiPanWenShu'},
    {name:'送达公告',code:'send_announcement',route:'SongDaGongGao'},
    {name:'询价评估',code:'evaluation',route:'XunJiaPingGu'},
    {name:'询价评估_结果',code:'evaluation_result',route:'XunJiaPingGu'},
    {name:'行政处罚',code:'penalties',route:'XingZhengChuFa'},
    {name:'行政处罚_信用中国',code:'penalties_creditchina',route:'XingZhengChuFa'},
    {name:'税收违法',code:'tax_violation',route:'ShuiShouWeiFa'},
    {name:'破产信息',code:'bankruptcy',route:'PoChanChongZheng'},
    {name:'经营异常',code:'exception',route:'JingYingYiChang'},
    {name:'抽查检查',code:'check_info',route:'ChouChaJianCha'},
    {name:'双随机抽查',code:'double_random',route:'ShuangSuiJiChouCha'},
    {name:'严重违法',code:'illegal_info',route:'YanZhongWeiFaXingWei'},
    {name:'土地抵押',code:'land_mortgage',route:'TuDiDiYa'},
    {name:'土地抵押抵押权人',code:'land_mortgagee',route:'JYTuDiDiYaDiYaQuanRen'},
    {name:'土地抵押抵押人',code:'land_mortgagor',route:'JYTuDiDiYaDiYaRen'},
    {name:'动产抵押',code:'mortgage',route:'DongChanDiYa'},
    {name:'欠税公告',code:'own_tax',route:'QianShuiGongGao'},
    {name:'公示催告',code:'public_announcement',route:'GongShiCuiGao'},
    {name:'简易注销',code:'simple_cancel',route:'JianYiZhuXiao'},
]

export {
    EnterpriseEnum,DimensionEnum
}